# GetCredit

This method can be used to view the remaining credits of your company.

## GetCredit

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsservice.asmx`

Use this method to get your credit as JSON result.

#### Path Parameters

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| TOKEN | string | Token       |

{% tabs %}
{% tab title="200 Response when the token is valid." %}

```javascript
{
	"Envelope": {
		"Success": "1",
		"Message": "",
		"Info": {
			"Version": "1.0.0",
			"Run_Date": "20211004221739",
			"Executed_ms": "188.0149"
		},
		"Result": {
			"Last_Update": "10/4/2021 9:00:00 PM",
			"Remaining": "9996"
		}
	}
}
```

{% endtab %}
{% endtabs %}

## GetCredit

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsserviceNet.asmx`

Use this method to get your credit as XML result.

#### Path Parameters

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| TOKEN | string | Token       |

{% tabs %}
{% tab title="200 Response when the token is valid." %}

```markup
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <soap:Body>
        <GetCreditResponse xmlns="http://tempuri.org/">
            <GetCreditResult>
                <Envelope xmlns="">
                    <Success>1</Success>
                    <Message></Message>
                    <Info>
                        <Version>1.0.0</Version>
                        <Run_Date>20211004222454</Run_Date>
                        <Executed_ms>10.9981</Executed_ms>
                    </Info>
                    <Result>
                        <Last_Update>10/4/2021 9:00:00 PM</Last_Update>
                        <Remaining>9996</Remaining>
                    </Result>
                </Envelope>
            </GetCreditResult>
        </GetCreditResponse>
    </soap:Body>
</soap:Envelope>
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
The credits shown are last updated according to the date on your result, not in real-time.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onvision.ai/api-book/api/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
